package cn.estsh.i3plus.ext.mes.apiservice.serviceimpl.base;

import cn.estsh.i3plus.ext.mes.api.base.IMesCutSchemeEquipmentProcessParamService;
import cn.estsh.i3plus.pojo.mes.bean.MesCutSchemeEquipmentProcessParam;
import cn.estsh.impp.framework.boot.util.ValidatorBean;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * @Description :
 * @Reference :
 * @Author : PZJ
 * @CreateDate : 2024/9/18 16:51
 * @Modify:
 **/
@Slf4j
@Service
public class MesCutSchemeEquipmentProcessParamServiceImpl extends BaseMesService<MesCutSchemeEquipmentProcessParam> implements IMesCutSchemeEquipmentProcessParamService {

    @Override
    protected void onInsertBean(MesCutSchemeEquipmentProcessParam item) {
        ValidatorBean.checkNotNull(item.getEquipmentCode(), "设备代码不能为空");
    }

    @Override
    protected void onUpdateBean(MesCutSchemeEquipmentProcessParam item) {
        ValidatorBean.checkNotNull(item.getId(), "id不能为空");
        ValidatorBean.checkNotNull(item.getEquipmentCode(), "设备代码不能为空");
    }
}
